# $Revision: 1.5.2.1 $, $Date: 2003/03/13 00:59:21 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	Unix
%define	pnam	Processors
Summary:	Unix::Processors - Interface to processor (CPU) information
Summary(pl):	Unix::Processors - Interfejs do informacji o procesorze (CPU)
Name:		perl-Unix-Processors
Version:	2.011
Release:	1
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides accessors to per-processor (CPU) information.
The object is obtained with the Unix::Processors::processors call in
a OS independent manner.

%description -l pl
Ten pakiet udostpnia funkcje dostpowe do informacji o procesorach
(CPU). Ten obiekt jest dostpny poprzez wywoanie
Unix::Processors::processors w sposb niezaleny od systemu
operacyjnego.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitearch}/%{pdir}/*.pm
%{perl_sitearch}/%{pdir}/%{pnam}
%dir %{perl_sitearch}/auto/%{pdir}/%{pnam}
%attr(755,root,root) %{perl_sitearch}/auto/%{pdir}/%{pnam}/*.so
%{perl_sitearch}/auto/%{pdir}/%{pnam}/*.bs
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Unix-Processors.spec,v $
Revision 1.5.2.1  2003/03/13 00:59:21  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.5  2003/02/25 00:42:36  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:39:08  ankry
- massive attack: change CPAN URLs

Revision 1.3  2003/01/15 18:39:58  mis
- autoupdated to 2.011

Revision 1.2  2002/08/31 12:21:47  qboosh
- pl description, release 2

Revision 1.1  2002/08/30 22:10:26  radek
- new, STBR
